<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">    
    <h:head>
        <title>Tráfico Libre</title>
        <link rel="stylesheet" type="text/css" href="../../carpetagacss/estilos.css"></link>
        <link rel="icon" href="../../imagenes/logo.ico"></link>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </h:head>
    <h:body>

        <header>
            <ui:include src="../menu/CabeceraMenu.xhtml" />
        </header>

        <center>
            <table>
                <tr>
                    <td colspan="4">
                        <div class="advertencia">
                            <h:form id="conductorForm">
                                <p:growl id="messages" showDetail="true" />
                                
                                <p:panelGrid id="panelVehiculos" columns="6">
                                    <f:facet name="header">BUSCAR CONDUCTOR</f:facet>
                                    <h:outputText value="NRO DOCUMENTO:" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.nroDocumento}" style="width: 150px"/>
                                    
                                    
                                    <p:commandButton id="botonBuscar" value="Buscar" class="botonbuscador" 
                                                     action="#{conductorBean.buscarConductor()}" update="conductorForm, panelConductor, messages"/>
                                    <p:commandButton id="botonBorrar" value="Borrar" class="botonbuscador" style="width: 150px"
                                                     action="#{conductorBean.limpiarCampos()}" update="conductorForm, panelConductor"/>
                                </p:panelGrid>
                                <br></br>
                                <p:panelGrid id="panelConductor" columns="4" rendered="#{conductorBean.visualizarPanel}">
                                    <h:outputText value="TIPO DOCUMENTO:" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.tipodocumento}" style="width: 180px"/>
                                    <h:outputText value="NRO DE DOCUMENTO:" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.nrodocumento}" style="width: 150px"/>
                                    <h:outputText value="NOMBRE" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.nombreconductor}" style="width: 150px"/>
                                    <h:outputText value="TELEFONO" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.telefono}" style="width: 150px"/>
                                    <h:outputText value="CORREO:" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.correo}" style="width: 150px"/>  
                                    <h:outputText value="TIPO CONDUCTOR:" style="width: 150px"/>
                                    <p:inputText value="#{conductorBean.conductor.tipoconductor}" style="width: 180px"/>
                                    
                                </p:panelGrid>
                            </h:form>
                        </div>
                    </td>
                </tr>
            </table>
        </center>           
        <footer>
            <a target="_blank" href="http://www.facebook.com"><img src="../../imagenes/Facebook.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.instagram.com"><img src="../../imagenes/Instagram.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.twitter.com"><img src="../../imagenes/Twitter.png" class="redsocial"></img></a>
            | Copyright 2014-2019 Tráfico Libre - <a href="#" class="privacidad">Privacidad-condiciones</a>
        </footer> 

    </h:body>
</html>

